
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:logger_util/src/logger.dart';

class LoggerUtil {
  static const MethodChannel _channel = MethodChannel('logger_util');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}

Logger _logger = Logger();

logV(dynamic message,[StackTrace? stackTrace]) {
  _logger.v(message,stackTrace);
}

logD(dynamic message,[StackTrace? stackTrace]) {
  _logger.d(message,stackTrace);
}

logI(dynamic message,[StackTrace? stackTrace]) {
  _logger.i(message,stackTrace);
}

logW(dynamic message,[StackTrace? stackTrace]) {
  _logger.w(message,stackTrace);
}

logE(dynamic message,[StackTrace? stackTrace]) {
  _logger.e(message,stackTrace);
}